org.apache.maven.plugin.version

## Class IntervalUtils

- java.lang.Object
- - org.apache.maven.plugin.version.IntervalUtils

-     public final class IntervalUtils
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isExpired(java.lang.String intervalSpec, java.util.Date lastChecked)`
    `static long` | `parseInterval(java.lang.String interval)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isExpired

          public static boolean isExpired(java.lang.String intervalSpec,
                          java.util.Date lastChecked)

    - #### parseInterval

          public static long parseInterval(java.lang.String interval)